
Foreman - Bug #2390

BMC API calls incorrect paths

04/10/2013 09:24 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: BMC   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The code in lib/proxy_api.rb calls URLs like /bmc/chassis/:action but the smart-proxy expects /bmc/:ip/chassis/:action, so this cannot

possibly function correctly.

Associated revisions

Revision 1377f89a - 04/11/2013 06:29 AM - Greg Sutcliffe

fixes #2390 - Add :host_id to BMC options hash

Also make power actions return a simple true/false instead of JSON

   and add a helper to generate the bmc urls

History

#1 - 04/11/2013 08:32 AM - Greg Sutcliffe

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 1377f89a67e70c94c62c608ca8b8e809cb2e2517.
